task Dedup {
	File unsorted_bam
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		cp ${unsorted_bam} ./
		inputfile = basename ${unsorted_bam}
		/src/Bismark-0.18.2/deduplicate_bismark -p --bam ./$inputfile
	>>>
	runtime {
		docker:docker
    		cluster: cluster_config
    		systemDisk: "cloud_ssd 40"
    		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File dedup_bam = "${sample}_R1_bismark_bt2_pe.deduplicated.bam"
		File dedup_repoet = "${sample}_R1_bismark_bt2_pe.deduplication_report.txt"
	}
}






